from django.views.decorators.http import require_http_methods

from backend.Service.MilvusService import MilvusService

@require_http_methods(['POST'])
def list_all_collections(request):
    return MilvusService.list_all_collections(request)

@require_http_methods(['POST'])
def delete_collection(request):
    return MilvusService.delete_collection(request)

@require_http_methods(['POST'])
def delete_milvus_data(request):
    return MilvusService.delete_milvus_data(request)


@require_http_methods(['POST'])
def getMinioURl(request):
    return MilvusService.getMinioURl(request)


